%define api 3
%define major 0
%define libname %mklibname %{name}%{api}_ %{major}
%define libnamedev %mklibname %{name}%{api} -d


Name:		bamf
Summary:	Removes applications matching into a simple DBusdaemon and C wrapper library
Group:		System/Libraries
Version:	0.2.118
Release:	%mkrel 3
License:	GPLv3
URL:		https://launchpad.net/bamf
Source0:	https://launchpad.net/bamf/0.2/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libgtop-2.0)

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

#--------------------------------------------------------------------
%package daemon
Summary:	BAMF daemon
Group:		System/Libraries
License:	GPLv3

%description daemon
BAMF daemon.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files daemon
%doc COPYING
%{_libexecdir}/bamfdaemon/
%{_datadir}/dbus-1/services/*.service

#--------------------------------------------------------------------
%package -n %{libname}
Summary:	BAMF libray
Group:		System/Libraries

%description -n	%{libname}
Library for %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files -n %{libname}
%{_libdir}/libbamf3.so.%{major}*

#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
License:	GPLv3
Requires:	%{libname} = %{version}

%description -n	%{libnamedev}
This package contains libraries and header files for developing applications
that use %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.

%files -n %{libnamedev}
%doc COPYING.LGPL COPYING
%{_includedir}/libbamf3/
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gtk-doc/html/libbamf/

#--------------------------------------------------------------------
%prep
%setup -q
sed -i 's/CFLAGS="$CFLAGS -Wall -Werror -lm"/CFLAGS="$CFLAGS -Wall -lm"/' configure

%build
%configure2_5x \
    --disable-static \
    --enable-introspection=yes
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Clean .la files
find %{buildroot}%{_libdir} -name '*.la' -delete -print




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.2.118-3.mga3
+ Revision: 346838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 pterjan <pterjan> 0.2.118-2.mga3
+ Revision: 339573
- Fix for _libdir != _libexecdir
- Rebuild with fixed date in old changelog

* Sat Jun 16 2012 shlomif <shlomif> 0.2.118-1.mga3
+ Revision: 261030
- imported package bamf

